org.apache.thrift

## Class TApplicationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.thrift.TException
      - - org.apache.thrift.TApplicationException

- All Implemented Interfaces:
    java.io.Serializable

      public class TApplicationException
      extends TException

  Application level exception
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BAD_SEQUENCE_ID`
    `static int` | `INTERNAL_ERROR`
    `static int` | `INVALID_MESSAGE_TYPE`
    `static int` | `MISSING_RESULT`
    `static int` | `PROTOCOL_ERROR`
    `protected int` | `type_`
    `static int` | `UNKNOWN`
    `static int` | `UNKNOWN_METHOD`
    `static int` | `WRONG_METHOD_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TApplicationException()`
    `TApplicationException(int type)`
    `TApplicationException(int type, java.lang.String message)`
    `TApplicationException(java.lang.String message)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getType()`
    `static TApplicationException` | `read(TProtocol iprot)`
    `void` | `write(TProtocol oprot)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### UNKNOWN

          public static final int UNKNOWN

      See Also:
        Constant Field Values

    - #### UNKNOWN_METHOD

          public static final int UNKNOWN_METHOD

      See Also:
        Constant Field Values

    - #### INVALID_MESSAGE_TYPE

          public static final int INVALID_MESSAGE_TYPE

      See Also:
        Constant Field Values

    - #### WRONG_METHOD_NAME

          public static final int WRONG_METHOD_NAME

      See Also:
        Constant Field Values

    - #### BAD_SEQUENCE_ID

          public static final int BAD_SEQUENCE_ID

      See Also:
        Constant Field Values

    - #### MISSING_RESULT

          public static final int MISSING_RESULT

      See Also:
        Constant Field Values

    - #### INTERNAL_ERROR

          public static final int INTERNAL_ERROR

      See Also:
        Constant Field Values

    - #### PROTOCOL_ERROR

          public static final int PROTOCOL_ERROR

      See Also:
        Constant Field Values

    - #### type_

          protected int type_

  - ### Constructor Detail

    - #### TApplicationException

          public TApplicationException()

    - #### TApplicationException

          public TApplicationException(int type)

    - #### TApplicationException

          public TApplicationException(int type,
                               java.lang.String message)

    - #### TApplicationException

          public TApplicationException(java.lang.String message)

  - ### Method Detail

    - #### getType

          public int getType()

    - #### read

          public static TApplicationException read(TProtocol iprot)
                                            throws TException

      Throws:
        `TException`

    - #### write

          public void write(TProtocol oprot)
                     throws TException

      Throws:
        `TException`